# azure.mgmt.authorization.models module

class `azure.mgmt.authorization.models.``RoleAssignmentFilter`(principal_id=None)

  Bases: `msrest.serialization.Model`

  Role Assignments filter

  Parameters: | principal_id (str) – Returns role assignment of the specific principal.

class `azure.mgmt.authorization.models.``RoleDefinitionFilter`(role_name=None)

  Bases: `msrest.serialization.Model`

  Role Definitions filter

  Parameters: | role_name (str) – Returns role definition with the specific name.

class `azure.mgmt.authorization.models.``ClassicAdministratorProperties`(email_address=None, role=None)

  Bases: `msrest.serialization.Model`

  Classic Administrator properties.

  Parameters:

  - email_address (str) – Gets or sets the email address
  - role (str) – Gets or sets the role

class `azure.mgmt.authorization.models.``ClassicAdministrator`(id=None, name=None, type=None, properties=None)

  Bases: `msrest.serialization.Model`

  Classic Administrators

  Parameters:

  - id (str) – Gets or sets the classic administrator id.
  - name (str) – Gets or sets the classic administrator name.
  - type (str) – Gets or sets the classic administrator type.
  - properties (`ClassicAdministratorProperties`) – Gets or sets the classic administrator properties.

class `azure.mgmt.authorization.models.``Permission`(actions=None, not_actions=None)

  Bases: `msrest.serialization.Model`

  Role definition permissions.

  Parameters:

  - actions (list of str) – Role definition allowed actions.
  - not_actions (list of str) – Role definition denied actions.

class `azure.mgmt.authorization.models.``ProviderOperation`(name=None, display_name=None, description=None, origin=None, properties=None)

  Bases: `msrest.serialization.Model`

  Operation

  Parameters:

  - name (str) – Gets or sets the operation name
  - display_name (str) – Gets or sets the operation display name
  - description (str) – Gets or sets the operation description
  - origin (str) – Gets or sets the operation origin
  - properties (object) – Gets or sets the operation properties

class `azure.mgmt.authorization.models.``ResourceType`(name=None, display_name=None, operations=None)

  Bases: `msrest.serialization.Model`

  Resource Type

  Parameters:

  - name (str) – Gets or sets the resource type name
  - display_name (str) – Gets or sets the resource type display name
  - operations (list of `ProviderOperation`) – Gets or sets the resource type operations

class `azure.mgmt.authorization.models.``ProviderOperationsMetadata`(id=None, name=None, type=None, display_name=None, resource_types=None, operations=None)

  Bases: `msrest.serialization.Model`

  Provider Operations metadata

  Parameters:

  - id (str) – Gets or sets the provider id.
  - name (str) – Gets or sets the provider name
  - type (str) – Gets or sets the provider type
  - display_name (str) – Gets or sets the provider display name
  - resource_types (list of `ResourceType`) – Gets or sets the provider resource types
  - operations (list of `ProviderOperation`) – Gets or sets the provider operations

class `azure.mgmt.authorization.models.``RoleAssignmentPropertiesWithScope`(scope=None, role_definition_id=None, principal_id=None)

  Bases: `msrest.serialization.Model`

  Role assignment properties with scope.

  Parameters:

  - scope (str) – Gets or sets role assignment scope.
  - role_definition_id (str) – Gets or sets role definition id.
  - principal_id (str) – Gets or sets principal Id.

class `azure.mgmt.authorization.models.``RoleAssignment`(id=None, name=None, type=None, properties=None)

  Bases: `msrest.serialization.Model`

  Role Assignments

  Parameters:

  - id (str) – Gets or sets role assignment id.
  - name (str) – Gets or sets role assignment name.
  - type (str) – Gets or sets role assignment type.
  - properties (`RoleAssignmentPropertiesWithScope`) – Gets or sets role assignment properties.

class `azure.mgmt.authorization.models.``RoleAssignmentProperties`(role_definition_id=None, principal_id=None)

  Bases: `msrest.serialization.Model`

  Role assignment properties.

  Parameters:

  - role_definition_id (str) – Gets or sets role definition id.
  - principal_id (str) – Gets or sets principal Id.

class `azure.mgmt.authorization.models.``RoleAssignmentCreateParameters`(properties=None)

  Bases: `msrest.serialization.Model`

  Role assignment create parameters.

  Parameters: | properties (`RoleAssignmentProperties`) – Gets or sets role assignment properties.

class `azure.mgmt.authorization.models.``RoleDefinitionProperties`(role_name=None, description=None, type=None, permissions=None, assignable_scopes=None)

  Bases: `msrest.serialization.Model`

  Role definition properties.

  Parameters:

  - role_name (str) – Gets or sets role name.
  - description (str) – Gets or sets role definition description.
  - type (str) – Gets or sets role type.
  - permissions (list of `Permission`) – Gets or sets role definition permissions.
  - assignable_scopes (list of str) – Gets or sets role definition assignable scopes.

class `azure.mgmt.authorization.models.``RoleDefinition`(id=None, name=None, type=None, properties=None)

  Bases: `msrest.serialization.Model`

  Role definition.

  Parameters:

  - id (str) – Gets or sets role definition id.
  - name (str) – Gets or sets role definition name.
  - type (str) – Gets or sets role definition type.
  - properties (`RoleDefinitionProperties`) – Gets or sets role definition properties.

class `azure.mgmt.authorization.models.``ClassicAdministratorPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of ClassicAdministrator object

class `azure.mgmt.authorization.models.``PermissionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of Permission object

class `azure.mgmt.authorization.models.``ProviderOperationsMetadataPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of ProviderOperationsMetadata object

class `azure.mgmt.authorization.models.``RoleAssignmentPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of RoleAssignment object

class `azure.mgmt.authorization.models.``RoleDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of RoleDefinition object